monstartup: out of memory and no file gmon.out produced.

Bug #1402726 reported by bugproxy on 2014-12-15
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
glibc (Ubuntu)
Undecided
Taco Screen team
Trusty
High
Adam Conrad
Utopic
Undecided
Unassigned

Bug Description

---Problem Description---
Compilation with -pg for grpof use seems to work, but at execution there is a message : monstartup: out of memory and no file gmon.out produced.
Porblem occures on trusty and Utopic but is fixed on Vivid

---uname output---
Linux ubuntu 3.13.0-24-generic #46-Ubuntu SMP Thu Apr 10 19:09:21 UTC 2014 ppc64le ppc64le ppc64le GNU/Linux

Machine Type = cpu : POWER8E (raw), altivec supported

---Steps to Reproduce---
 compile a simple test with -pg and try to execute it - you'll get the monstartup: out of memory and no file gmon.out produced.

Userspace tool common name: libc6

The userspace tool has the following bit modes: 64-bits

Problem has been fixed with upstream commit.
https://sourceware.org/git/?p=glibc.git;a=commit;h=a53fbd8e6cd2f69bdfa3431d616a5f332aea6664

Need to retrofit that patch to Trusty and Utopic releases

I Added the patch to trusty and recompiled libc6.
Everything is now working -

bugproxy (bugproxy) on 2014-12-15
tags: added: architecture-ppc64le bugnameltc-119724 severity-critical targetmilestone-inin14042

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1402726/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Luciano Chavez (lnx1138) on 2014-12-15
affects: ubuntu → glibc (Ubuntu)
Breno Leitão (breno-leitao) wrote :

Hi Canonical,

Do you have any concern regarding the patch proposed in the bug description?

Thanks
Breno

Changed in glibc (Ubuntu):
status: New → Confirmed
assignee: nobody → Taco Screen team (taco-screen-team)
Steve Langasek (vorlon) wrote :

IBM reports that this bug is already fixed in vivid. Opening SRU tasks.

Changed in glibc (Ubuntu):
status: Confirmed → Fix Released
Changed in glibc (Ubuntu Trusty):
assignee: nobody → Taco Screen team (taco-screen-team)

------- Comment From <email address hidden> 2015-02-27 10:04 EDT-------
I have checked that on vivid the simple program works:
#include <stdio.h>
main() {
printf("test");
}
$ gcc -gp -o tests tests.c
$ ./tests
test
$ ls gmon.out
gmon.out

when on utopic I get:
$ ./tests
monstartup: out of memory
test
$ ls gmon.out
ls: cannot access gmon.out: No such file or directory

So problem is fixed under vivid, but the patch needs to added to utopic release

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-02-27 10:38 EDT-------
On trusty
$ gcc -pg tests.c
ubuntu@fauck3:~$ ./a.out
monstartup: out of memory
tests
ubuntu@fauck3:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.2 LTS"

Problem is fixed on vivid with:
$ gcc --version
gcc (Ubuntu 4.9.2-10ubuntu1) 4.9.2

On utopic, not fixed with:
$ gcc --version
gcc (Ubuntu 4.9.1-16ubuntu6) 4.9.1

Steve Langasek (vorlon) on 2015-03-02
Changed in glibc (Ubuntu Trusty):
assignee: Taco Screen team (taco-screen-team) → Adam Conrad (adconrad)
Thierry FAUCK (thierry-j) wrote :

The targeted release for this LP# being 14.04.2, I am not quite sure the status of Fix Release (true status for Vivid) is appropriate. Let me know how to handle the case for trusty/utopic.

bugproxy (bugproxy) wrote :

The targeted release for this LP#?being 14.04.2, I am not quite sure the status of Fix Release (true status for Vivid) is appropriate. Let me know how to handle the case for trusty/utopic.

Steve Langasek (vorlon) wrote :

The task that's marked as "fix released" is the one corresponding to the current development release (vivid). There is an SRU task open for fixing in trusty.

bugproxy (bugproxy) wrote :

The targeted release for this LP#?being 14.04.2, I am not quite sure the status of Fix Release (true status for Vivid) is appropriate. Let me know how to handle the case for trusty/utopic.

Benedikt Anlauf (anlaufb) wrote :

When will the patch become part of Trusty? It's annoying not to be able to profile in an LTS-version...

Steve Langasek (vorlon) on 2016-01-07
Changed in glibc (Ubuntu Trusty):
importance: Undecided → High
status: New → Triaged
milestone: none → ubuntu-14.04.4
Rolf Leggewie (r0lf) on 2016-04-24
Changed in glibc (Ubuntu Utopic):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers